Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
variables
Create a project variable
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>",
  "supportsDoubleResolution": true,
  "value": "<unknown>"
}
'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables"

payload = {
    "description": "<string>",
    "name": "<string>",
    "supportsDoubleResolution": True,
    "value": "<unknown>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    description: '<string>',
    name: '<string>',
    supportsDoubleResolution: true,
    value: '<unknown>'
  })
};

fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "value": "<unknown>"
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json
behaviour
enum<string>
required
Available options:
COPIED,
SHARED
type
enum<string>
required
Available options:
NUMBER,
TEXT,
DATETIME
description
string
Maximum string length: 255
name
string
supportsDoubleResolution
boolean
value
any

Response

Project variable has been created

id
string<uuid>
name
string
value
any